Folks.IndividualAggregator.dup_with_backend_store – folks Reference Manual

# dup_with_backend_store

## Description:

public static IndividualAggregator? dup_with_backend_store (BackendStore store)

Create or return the singleton IndividualAggregator class instance with a custom BackendStore. If the instance doesn't exist already, it will be created with the given BackendStore rather than the default one. If the instance already exists but is using another BackendStore then a warning is raised and null is returned.

This function is thread-safe.

## Parameters:

store | the BackendStore to use instead of the default one.

## Returns:

Singleton IndividualAggregator instance, or null

## Since:

0.9.5